Skip to main content
GET
/
evidences
/
{COMPANY_ID}
/
evidence
/
{EVIDENCE_EXTERNAL_ID}
Get a evidence by external ID
curl --request GET \
  --url https://api.timelockdata.com/api/v1/evidences/{COMPANY_ID}/evidence/{EVIDENCE_EXTERNAL_ID} \
  --header 'X-API-Key: <api-key>'
{
  "object": {
    "id": "<string>",
    "categoryId": "<string>",
    "subcategoryId": "<string>",
    "externalId": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "status": "<string>",
    "txId": "<string>",
    "description": "<string>",
    "imageId": "<string>",
    "summary": "<string>",
    "owner": "<string>",
    "meta": {}
  },
  "events": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "ownerName": "<string>",
      "type": "update",
      "txId": "<string>",
      "personaName": "<string>",
      "updateType": "stolen",
      "eventDescription": "<string>",
      "updateDescription": "<string>",
      "version": 123,
      "meta": {},
      "merkleBatchId": "<string>",
      "merkleSendStatus": "<string>"
    }
  ],
  "lastVersion": 123,
  "isMore": true
}

Authorizations

X-API-Key
string
header
required

Path Parameters

COMPANY_ID
string
required

Company identifier

EVIDENCE_EXTERNAL_ID
string
required

Evidence external identifier

Query Parameters

last
string

Last event index for pagination

len
string

Number of events to return

Response

200 - application/json

Evidence details

object
object

Evidence object details

events
object[]

List of events associated with the evidence

lastVersion
number

Version of the last retrieved history element

isMore
boolean

Indicates whether additional events exist